Skip to content

Get API Key

GET
/api/api-keys/{id}

Get details of a specific API key.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Responses

API key details

application/json
JSON
{
  
"data": {
  
  
"id": "string",
  
  
"name": "string",
  
  
"prefix": "string",
  
  
"start": "string",
  
  
"organizationId": "string",
  
  
"enabled": true,
  
  
"permissions": [
  
  
  
"string"
  
  
],
  
  
"modules": [
  
  
  
"string"
  
  
],
  
  
"allowedDomains": [
  
  
  
"string"
  
  
],
  
  
"expiresAt": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"rateLimitEnabled": true,
  
  
"rateLimitTimeWindow": 0,
  
  
"rateLimitMax": 0,
  
  
"requestCount": 0,
  
  
"lastRequest": "string"
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation